## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * missing dev-dependencies: elain ^0.3
%bcond check 0
%global debug_package %{nil}

%global crate zerocopy

Name:           rust-zerocopy
Version:        0.8.25
Release:        %autorelease
Summary:        Makes zero-cost memory manipulation effortless

License:        BSD-2-Clause OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/zerocopy
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Zerocopy makes zero-cost memory manipulation effortless. We write
"unsafe" so you don't have to.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/POLICIES.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/ci/
%exclude %{crate_instdir}/githooks/
%exclude %{crate_instdir}/testdata/
%exclude %{crate_instdir}/cargo.sh
%exclude %{crate_instdir}/clippy.toml
%exclude %{crate_instdir}/rustfmt.toml
%exclude %{crate_instdir}/win-cargo.bat

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__internal_use_only_features_that_work_on_stable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__internal_use_only_features_that_work_on_stable-devel %{_description}

This package contains library source intended for building other packages which
use the "__internal_use_only_features_that_work_on_stable" feature of the "%{crate}" crate.

%files       -n %{name}+__internal_use_only_features_that_work_on_stable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+float-nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+float-nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "float-nightly" feature of the "%{crate}" crate.

%files       -n %{name}+float-nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+simd-nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "simd-nightly" feature of the "%{crate}" crate.

%files       -n %{name}+simd-nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zerocopy-derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zerocopy-derive-devel %{_description}

This package contains library source intended for building other packages which
use the "zerocopy-derive" feature of the "%{crate}" crate.

%files       -n %{name}+zerocopy-derive-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat May 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.8.25-1
- Update to version 0.8.25; Fixes RHBZ#2350137

* Tue Mar 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.8.21-1
- Update to version 0.8.21; Fixes RHBZ#2343662

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jan 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.8.14-1
- Update to version 0.8.14; Fixes RHBZ#2334018

* Sun Dec 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.13-1
- Update to version 0.8.13; Fixes RHBZ#2330181

* Tue Nov 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.11-1
- Update to version 0.8.11; Fixes RHBZ#2326140

* Sat Nov 09 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.9-1
- Update to version 0.8.9; Fixes RHBZ#2316405

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.35-1
- Update to version 0.7.35; Fixes RHBZ#2295593

* Tue May 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.34-1
- Update to version 0.7.34; Fixes RHBZ#2279112

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.32-1
- Update to version 0.7.32; Fixes RHBZ#2253063

* Sat Dec 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.28-1
- Update to version 0.7.28; Fixes RHBZ#2252292

* Thu Nov 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.26-1
- Update to version 0.7.26; Fixes RHBZ#2246643

* Fri Oct 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.16-1
- Update to version 0.7.16

* Wed Oct 25 2023 blinxen <h-k-81@hotmail.com> - 0.7.15-1
- Update to version 0.7.15 (rhbz#2235602)

* Tue Oct 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.4-1
- Update to version 0.6.4

* Mon Aug 28 2023 Jakub Čajka <jcajka@redhat.com> - 0.6.3-1
- Initial package import
## END: Generated by rpmautospec
